import './index.css';
import React from 'react';
import classnames from 'classnames';

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor) descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}

function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
  if (staticProps) _defineProperties(Constructor, staticProps);
  return Constructor;
}

function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      writable: true,
      configurable: true
    }
  });
  if (superClass) _setPrototypeOf(subClass, superClass);
}

function _getPrototypeOf(o) {
  _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
    return o.__proto__ || Object.getPrototypeOf(o);
  };
  return _getPrototypeOf(o);
}

function _setPrototypeOf(o, p) {
  _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
    o.__proto__ = p;
    return o;
  };

  return _setPrototypeOf(o, p);
}

function _assertThisInitialized(self) {
  if (self === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return self;
}

function _possibleConstructorReturn(self, call) {
  if (call && (typeof call === "object" || typeof call === "function")) {
    return call;
  }

  return _assertThisInitialized(self);
}

var styles = {"fill-politico-red":"politico_style___Es-kMyp6l5","styles":"politico_style___2azzaXJh9q"};

var SkipNav =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(SkipNav, _React$PureComponent);

  function SkipNav() {
    _classCallCheck(this, SkipNav);

    return _possibleConstructorReturn(this, _getPrototypeOf(SkipNav).apply(this, arguments));
  }

  _createClass(SkipNav, [{
    key: "render",
    value: function render() {
      return React.createElement("div", {
        className: classnames('skipnav-container', styles.styles)
      }, React.createElement("div", {
        className: "skipnav"
      }, React.createElement("a", {
        href: "#maincontent"
      }, "Skip to main content"), ' ', React.createElement("a", {
        href: "#sitemap"
      }, "Skip to footer site map")));
    }
  }]);

  return SkipNav;
}(React.PureComponent);
var SkipToMainContent = function SkipToMainContent() {
  return React.createElement("div", {
    id: "maincontent",
    tabIndex: "-1"
  });
};
var SkipToSitemap = function SkipToSitemap() {
  return React.createElement("div", {
    id: "sitemap",
    tabIndex: "-1"
  });
};

export default SkipNav;
export { SkipToMainContent, SkipToSitemap };
