import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Dek from './index';

class App extends React.Component {
  render() {
    return (
      <Page title='Dek'>
        <Dek />
        <CodeBlock
          value={`import { Dek } from '@politico/interactive-style';

<Dek>
  Your Dek Here
</Dek>
        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
