import React from 'react';

import classnames from 'classnames';
import styles from './styles.scss';

const Footer = () => (
  <footer className={classnames('footer', styles.styles)}>
    <nav className='footer__group footer__group--links'>
      <ul>
        <li>
          <a href='https://www.politico.com/about/'>About Us</a>
        </li>
        <li>
          <a href='https://www.politico.com/about/advertising'>Advertising</a>
        </li>
        <li>
          <a href='http://www.politico.com/subscribe/breaking-news-alerts'>Breaking News Alerts</a>
        </li>
        <li>
          <a href='https://www.politico.com/careers'>Careers</a>
        </li>
        <li>
          <a href='https://secure.politico.com/payment'>Credit Card Payments</a>
        </li>
        <li>
          <a href='http://edition.pagesuite-professional.co.uk/Launch.aspx?bypass=true&PBID=74262970-aa07-44b3-80c8-21fa8a8ac376'>Digital Edition</a>
        </li>
        <li>
          <a href='https://www.politico.com/faq'>FAQ</a>
        </li>
        <li>
          <a href='https://www.politico.com/feedback'>Feedback</a>
        </li>
        <li>
          <a href='https://www.politico.com/politics'>Headlines</a>
        </li>
        <li>
          <a href='https://www.politico.com/gallery'>Photos</a>
        </li>
        <li>
          <a href='http://www.powerjobs.com/'>POWERJobs</a>
        </li>
        <li>
          <a href='http://www.politico.com/about/press/blog'>Press</a>
        </li>
        <li>
          <a href='http://www.politico.com/subscriptions'>Print Subscriptions</a>
        </li>
        <li>
          <a href='https://www.politico.com/rss'>RSS</a>
        </li>
        <li>
          <a href='https://www.politico.com/sitemap'>Site Map</a>
        </li>
      </ul>
      <ul>
        <li>
          <a href='https://www.politico.com/terms-of-service'>Terms of Service</a>
        </li>
        <li>
          <a href='https://www.politico.com/privacy-policy'>Privacy Policy</a>
        </li>
      </ul>
    </nav>
    <nav className='footer__group footer__group--legal'>
      <p>© 2019 POLITICO LLC</p>
    </nav>
    <div className='clear' />
  </footer>
);

export default Footer;
