import React from 'react';
import classnames from 'classnames';

import styles from './styles.scss';

const Ad = (props) => (
  <div className={classnames('ad-container', styles.styles)}>
    <div className='content-group ad screenshot-remove'>
      <p>Advertisement</p>
      <div className='ad-slot flex horizontal' id={props.adID} />
    </div>
  </div>
);

Ad.defaultProps = {
  adID: 'pol-02',
};

export default Ad;
