import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Ad from './index';
import Head from '../Head';

console.log(Head);

class App extends React.Component {
  render() {
    return (
      <Page title='Ad'>
        <Head />
        <Ad.Dynamic />
        <CodeBlock
          value={`import { Ad } from '@politico/interactive-style';

<Ad.Static adID='pol-02' />

<Ad.Dynamic />

/* Premade Ads (only use once per page) */

<Ad.Banner />
<Ad.Cube1 />
<Ad.Cube2 />
<Ad.SuperCube1 />
<Ad.SuperCube2 />
<Ad.SuperCube3 />
<Ad.SuperCube4 />
        `}
        />
      </Page>
    );
  }
}

export default App;

window.pibOptions = {
  'siteSection': 'politics',
  'pageType': 'interactives',
  'adUnitSection': 'politics',
  'freePaidContent': 'free',
};

ReactDOM.render(<App />, document.getElementById('app'));
