import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Container from './index';

class App extends React.Component {
  render() {
    return (
      <Page title='Container'>
        <Container>
          <p>This is some paragrah text inside a container.</p>
        </Container>
        <CodeBlock
          value={`import { Container } from '@politico/interactive-style';

<Container>
  <p>This is some paragrah text inside a container.</p>
</Container>
        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
