import React from 'react';
import classnames from 'classnames';
import styles from './styles.scss'

class Container extends React.PureComponent {
  render() {
    return (
      <article className={classnames('container', styles.styles)}>
        {this.props.children}
      </article>
    );
  }
}

export default Container;
