import React from 'react';
import classnames from 'classnames';
import styles from './styles.scss';

class Headline extends React.PureComponent {
  render() {
    return (
      <div className={classnames('headline', styles.styles)}>
        <h1 {...this.props}>
          {this.props.children}
        </h1>
      </div>
    );
  }
}

Headline.defaultProps = {
  children: 'Your pithy, compelling headline, would you share it?',
};

export default Headline;
