import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Navigation from './index';

class App extends React.Component {
  render() {
    return (
      <Page title='Navigation'>
        <Navigation theme='dark' />
        <CodeBlock
          value={`import { Navigation } from '@politico/interactive-style';

// Core navigation in a default (light) theme
<Navigation />

// Core navigation in a dark theme
<Navigation theme='dark'/>

// Magazine navigation in default (dark) theme
<Navigation site='Magazine'/>

//  Magazine navigation in light theme
<Navigation site='Magazine'  theme='light'/>

        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
